package com.ejie.aa21b.model;

/**
 * Aa21b97s01  
 * 
 *  
 */

public class Aa21b97s01 implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String tabla97;
	private String desc97;
	private String dese97;
	private String campo97;
	private String cserv97;
	private Long numBloqueados;

	private String cservusu;

	/**
	 * Method 'Aa21b97s01'.
	 */
	public Aa21b97s01() {
	}

	/**
	 * Method 'Aa21b97s01'.
	 * 
	 * @param tabla97
	 *            String
	 */
	public Aa21b97s01(String tabla97) {
		this.tabla97 = tabla97;
	}

	/**
	 * Method 'Aa21b97s01'.
	 * 
	 * @param tabla97
	 *            String
	 * @param desc97
	 *            String
	 * @param dese97
	 *            String
	 * @param campo97
	 *            String
	 */
	public Aa21b97s01(String tabla97, String desc97, String dese97,
			String campo97, String cserv97, Long numBloqueados) {

		this.tabla97 = tabla97;
		this.desc97 = desc97;
		this.dese97 = dese97;
		this.campo97 = campo97;
		this.cserv97 = cserv97;
		this.numBloqueados = numBloqueados;
	}

	/**
	 * Method 'getTabla97'.
	 * 
	 * @return String
	 */

	public String getTabla97() {
		return this.tabla97;
	}

	/**
	 * Method 'setTabla97'.
	 * 
	 * @param tabla97
	 *            String
	 * @return
	 */

	public void setTabla97(String tabla97) {
		this.tabla97 = tabla97;
	}

	/**
	 * Method 'getDesc97'.
	 * 
	 * @return String
	 */

	public String getDesc97() {
		return this.desc97;
	}

	/**
	 * Method 'setDesc97'.
	 * 
	 * @param desc97
	 *            String
	 * @return
	 */

	public void setDesc97(String desc97) {
		this.desc97 = desc97;
	}

	/**
	 * Method 'getDese97'.
	 * 
	 * @return String
	 */

	public String getDese97() {
		return this.dese97;
	}

	/**
	 * Method 'setDese97'.
	 * 
	 * @param dese97
	 *            String
	 * @return
	 */

	public void setDese97(String dese97) {
		this.dese97 = dese97;
	}

	/**
	 * Method 'getCampo97'.
	 * 
	 * @return String
	 */

	public String getCampo97() {
		return this.campo97;
	}

	/**
	 * Method 'setCampo97'.
	 * 
	 * @param campo97
	 *            String
	 * @return
	 */

	public void setCampo97(String campo97) {
		this.campo97 = campo97;
	}

	/**
	 * Method 'getNumBloqueados'.
	 * 
	 * @return Long
	 */
	public Long getNumBloqueados() {
		return numBloqueados;
	}

	/**
	 * Method 'setNumBloqueados'.
	 * 
	 * @param numBloqueados
	 *            Long
	 * @return
	 */
	public void setNumBloqueados(Long numBloqueados) {
		this.numBloqueados = numBloqueados;
	}

	public String getCserv97() {
		return cserv97;
	}

	public void setCserv97(String cserv97) {
		this.cserv97 = cserv97;
	}

	public String getCservusu() {
		return cservusu;
	}

	public void setCservusu(String cservusu) {
		this.cservusu = cservusu;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ tabla97: ").append(this.tabla97).append(" ]");
		result.append(", [ desc97: ").append(this.desc97).append(" ]");
		result.append(", [ dese97: ").append(this.dese97).append(" ]");
		result.append(", [ campo97: ").append(this.campo97).append(" ]");
		result.append(", [ cserv97: ").append(this.cserv97).append(" ]");
		result.append(", [ numBloqueados: ").append(this.numBloqueados)
				.append(" ]");
		result.append("}");
		return result.toString();
	}

}
